#!/bin/bash

#
# Name of prerry-printer module
#
# Friendly name of module used for decorating output.  For
# example, if the value is NAME, a mkpretty_NAME module must
# exist and be importable.  Otherwise mkpretty will fall back
# to plain, which is also the default value.
#
FFOO_MKPRETTY=${FFOO_MKPRETTY:-plain}


__ffoo_mkpretty__init() {
    #
    # Import proper submodule
    #
    if ffoo try_import mkpretty_${FFOO_MKPRETTY};
    then
        ffoo import mkpretty_${FFOO_MKPRETTY}
        return 0
    else
        warn "falling back to mkpretty_plain"
        FFOO_MKPRETTY=plain
        ffoo import mkpretty_${FFOO_MKPRETTY}
    fi
}
