TF_ES_OK=0
TF_ES_FAIL=1
TF_ES_BAILOUT=2
TF_ES_ERROR=3
TF_ES_PANIC=4

TF_VERBOSE=true
TF_DEBUG=true

tf_exit_ok() {
    tf_warn "$@"
    exit $TF_ES_OK
}

tf_exit_fail() {
    tf_warn "$@"
    exit $TF_ES_FAIL
}

tf_exit_bailout() {
    tf_warn "$@"
    exit $TF_ES_BAILOUT
}

tf_exit_error() {
    tf_warn "$@"
    exit $TF_ES_QUIT
}

tf_exit_panic() {
    tf_warn "$@"
    exit $TF_ES_PANIC
}

tf_debug() {
    $TF_DEBUG || return 0
    warn "$@"
}

tf_think() {
    $TF_VERBOSE || return 0
    local msg
    for msg in "$@";
    do
        echo "$1" >&2;
    done
}

tf_warn() {
    local msg
    for msg in "$@";
    do
        echo "$1" >&2;
    done
}
